/*==============================================CSS RESET===================================*/

/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/*==============================================My Style===================================*/

/*=============================INDEX=============================*/

/* General Styles */

:root{
    --bgcolour:#151515;
    --textcolour:#ffffff;
    --linkcolour:#ffffff;
    --linkhovercolour:#FF8414;
    --sectioncolour:#FF8414;
    --hcolour:#FF8414;
}

body{
    background-color: var(--bgcolour);
    color: var(--textcolour);
}

h1{
    font-family: "Oi", serif;
    font-weight: 400;
    font-style: normal;
    font-size: clamp(2.5rem, 4vw + 1rem, 6rem);
    text-align: center;
}

h1 span{
    color: var(--hcolour);
}

h2{
    font-family: "Oi", serif;
    font-weight: 100;
    font-style: normal;
    font-size: 2em;
    text-align: center;
}

p, li{
    font-family: "Coustard", serif;
    font-weight: 400;
    font-style: normal; 
    font-size: clamp(1.2rem, 2vw , 2rem);
    line-height: 1.2em;
}

a{
    font-family: "Coustard", serif;
    font-weight: 900;
    font-style: normal;
    text-decoration: none;
    color: var(--linkcolour);
    font-size: clamp(1.1rem, 2vw , 2.5rem);
}

a:hover{
    color: var(--linkhovercolour);
}

a:visited, a:active, a:focus-visible{
    color: var(--linkcolour);
}


/* ====================================== Skip to content ===================================*/

.skip{
    background-color: var(--hcolour);
    width: fit-content;
    padding: 20px;
    position: absolute;
    top: 2%;
    left: 2%;
    opacity: 0;
}

.skip:focus {
    opacity: 1;
    z-index: 1000;
    transition: opacity 0.3s ease-in-out;
}

/* ========================================Header============================================= */

.banner nav{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    padding-top: 30px;
}

.banner nav ul{
    display: flex;
    gap: 10%;
    justify-content: center;
    align-items: center;
}

.banner .icons{
    display: flex;
    gap: 30px;
    width: 100vw;
    padding: 5px;
    align-items: center;
    justify-content: center;
}

.banner .icons img{
    width: clamp(30px, 2vw + 20px, 40px);
    height: auto;
}

.banner .icons img:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;
}

#landing{
    display: flex;
    justify-content: center;
    align-items: center;
}

.title{
    padding: 80px 0 120px 0;
    width: 80vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.title p{
    width: 60vw;
    max-width: 960px;
}

.sideimg img{
    height: auto;
    max-height: 710px;
    max-width:20vw;
    position: absolute;
    right: 0;
}

/*========================================INDEX PAGE===================================*/

/* ==========Vinyl players SECTION=========== */

#players{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--sectioncolour);
    padding-bottom: 40px;
}

#players h2{
    text-decoration: underline;
    color: var(--bgcolour);
    padding: 20px 0;
}

.container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.holder{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 330px;
    background: var(--bgcolour);
    background: linear-gradient(0deg, rgba(27, 27, 27, 1) 70%, #ff8414 70%);
}

.holder img{
    width: 280px;
    height: 280px;
}

.holder img:hover{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

/*===============vinyls SECTION============ */

.gallery{
    padding-left: 10%;
    padding-right: 10%;
}

.gallery h2{
    text-decoration: underline;
    text-align: center;
    padding: 30px 0;
    color: var(--hcolour);
}

.vinyl-gallery{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.vinyl-item{
    position: relative;
    display: inline-block;
}

.vinyl-item img{
    width: 290px;
    height: 290px;
    object-fit: cover;
    border-radius: 8px;
}

.vinyl-item .info{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    color: #fff;
    text-align: center;
    padding: 5px;
    font-size: 1.2em;
    font-family: "Coustard", serif;
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 0 0 8px 8px;
}

.vinyl-item img:not(:hover){
    filter: grayscale(100%);
    transition: .3s ease-in-out;
}

.vinyl-item:hover img {
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

.vinyl-item:hover .info {
    opacity: 1;
}

/* ==============================PLAYERS PAGE============================== */

.items{
    margin: 0 6%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.arrows{
    display: flex;
    gap: 140px;
    margin: 20px 0;
}

.arrows img:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;
}

.items .vinylimg img{
    display: block;
    margin: 0 auto;
    width: 70vw;
    max-width: 510px;
    height: auto;
    padding-top: 20px;
}

.items .vinylimg img:hover{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

.specs{
    max-width: 960px;
}

.description h2, .features h2{
    margin: 20px 0;
    color: var(--sectioncolour);
}

.features ul li{
    list-style: square;
    padding-bottom: 5px;
}


.description p:first-of-type{
    font-family: "Oi", serif;
    font-weight: 400;
    font-size: 2.1em;
    text-align: center;
}

/* ==============================VINYLS PAGE============================== */

.allrecords{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.albums{
    margin: 5% 0;
    border-bottom: var(--sectioncolour) 2px solid;
    padding-bottom: 20px;
}

.albums p{
    text-align: center;
}

.albums p:first-of-type{
    font-family: "Oi", serif;
    font-weight: 400;
    font-size: 1.7em;
    color: var(--hcolour);
}

.albumdetails{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.albumcover img{
    display: block;
    margin: 0 auto;
    width: 70vw;
    max-width: 510px;
    height: auto;
    padding: 20px;
}

.albumcover img:hover{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

/*===============================ABOUT PAGE===============================*/

.banner-holder{
    background-image: url(images/store.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 170px;
    width: 100vw;
    margin: 30px 0;
}

.about-content{
    display:block;
    margin: auto;
    max-width: 960px;
    padding: 0 3%;
}

.about-intro p:first-of-type{
    padding:0 0 20px 0;
}

.about-content h2{
    color: var(--sectioncolour);
    padding-top: 30px;
    font-weight: 200;  
}

.team{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.team-member{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 30px;
    border-bottom: var(--sectioncolour) 2px solid;
    padding: 20px 0;
}

.teamimg p{
    text-align: center;
    padding: 20px 0;
}

.teamimg img{
    display: block;
    margin: auto;
    border-radius: 10px;
}

.teamimg img:hover{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

.teamrole p:first-of-type {
    text-align: center;
    padding: 10px 0;
    color: var(--sectioncolour);
}

.teamrole p{
    max-width: 320px;
}

/* ==============================Events PAGE============================== */

.eventposter{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 40px;
}

.eventholder{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: baseline;
}

.eventposter h2{
    color: var(--hcolour);
    padding: 20px 0;
    font-weight: 200;
}

.eventposter img{
    margin: 30px 0;
    width: 70vw;
    max-width: 510px;
    height: auto;
}

.eventposter img:hover{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}

.eventposter .eventdetail p{
    max-width: 510px;
}

/* ==============================CONTACT PAGE============================== */

.shop-detail{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 40px;
}

.shop-detail img{
    width: 50vw;
    max-width: 310px;
    height: auto;
    border-radius: 15px;
    margin: 20px 0;
}

.opening p, .map p{
    text-align: center;
    padding: 20px 0;
}

.timetable{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 15px;
    max-width: 440px;
    gap: 35px;
}

.map iframe{
    display: block;
    margin: auto;
    width: 90vw;
    max-width: 960px;
    height: 400px;
    border-radius: 20px;
}

/* ==============================ACCESSIBILITY PAGE============================== */

.accessibility{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 3%;
}

.accessibility h1, h2{
    padding: 30px 0;
}

.accessibility p{
    max-width: 960px; 
}

.accessibility ul li{
    max-width: 960px;
    list-style: square;
    padding-bottom: 5px;
}

/* ================================================footer==================================== */

footer{
    background-color: var(--sectioncolour);
    color: var(--bgcolour);
    margin-top: 40px;
}

.footercontent .logo img{
    width: clamp(200px, 2vw, 500px);
    height: auto;
    display: block;
    margin: 0 auto;
    padding: 10px 0;
}

.footercontent .socials p, .pageinfo p, .contact p{
    text-align: center;
    font-weight: 900;
    padding-bottom: 10px;
}

.footercontent .socials nav ul{
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 10px 0;
}

.footercontent .socials nav ul li img{
    width: clamp(30px, 2vw + 20px, 60px);
    height: clamp(30px, 2vw + 20px, 60px);
    filter: invert(1);
}

.footercontent .socials nav ul li img:hover{
    transform: scale(1.1);
    filter: invert(0);
    transition: .3s ease-in-out;
}

.footercontent .pageinfo nav ul, .footercontent .contact nav ul{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 10px 0;
}

.footercontent .pageinfo nav ul li a:hover, .footercontent .contact nav ul li a:hover{
    transform: scale(1.1);
    color: var(--bgcolour);
    transition: .3s ease-in-out;
    text-decoration: underline;
}

.copy p{
    text-align: center;
    padding: 40px 0 10px 0;
    font-size: 0.8em;
    font-weight: 900;
}

/* ===================================Media Queries====================================== */

@media (min-width: 1120px) {
    .theme button{
        width: 120px;
        position: absolute;
        top: 4.3%;
        right: 4%;
    }
    .banner .icons img{
        padding-bottom: 40px;
    }   
    
    .footercontent{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 8px;
    }
    .footercontent .logo{
        grid-column: span 3 / span 3;
    }
    .footercontent .socials{
        grid-row: span 2 / span 2;
        grid-column-start: 3;
        grid-row-start: 2;
    }
    .footercontent .pageinfo{
        grid-row: span 2 / span 2;
        grid-column-start: 1;
        grid-row-start: 2;
    }
    .footercontent .contact{
        grid-row: span 2 / span 2;
        grid-column-start: 2;
        grid-row-start: 2;
    }
}